[Distutils] easy_install fails on sourceforge?

P.J. Eby pje at telecommunity.com
Tue Jun 30 03:52:01 CEST 2009

At 06:26 PM 6/29/2009 -0700, Andrew Straw wrote:
>I'm getting a similar issue (easy_install failing on sourceforge) when
>trying to download Pyro:
>$ easy_install -eb. Pyro
>DeprecationWarning: BaseException.message has been deprecated as of
>Python 2.6
>   self.message = message
>Searching for Pyro
>Reading http://pypi.python.org/simple/Pyro/
>Reading http://pyro.sourceforge.net
>Reading http://sourceforge.net/project/showfiles.php?group_id=18837
>No local packages or download links found for a source distribution of Pyro
>error: Could not find suitable distribution for Requirement.parse('Pyro')
>The thing is, there is a source distribution of Pyro right there on the
>SourceForge website. Why doesn't this grab the .tar.gz file and build
>and install it? I thought setuptools did this automatically. Perhaps my
>memory is failing me. (It wouldn't be the first time.)

Two things.  First, the correct URL for Pyro downloads is 
http://sourceforge.net/project/showfiles.php?group_id=18837&package_id=29259 .

Second, Sourceforge has changed their pages again so that they no 
longer give direct links to downloadable files; instead, they link to 
a "downloading.php" which setuptools does not recognize as a downloadable file.

I'm not sure when this changed on Sourceforge, but I do hope that SF 
users will complain long and loud about it.

More information about the Distutils-SIG mailing list